Loading...
Searching...
No Matches
etl::state_chart_traits::state< TObject > Struct Template Reference

State definition. More...

`#include <state_chart.h>`

## Public Member Functions

ETL_CONSTEXPR | state (const state_id_t state_id_, void(TObject::*const on_entry_)()=ETL_NULLPTR, void(TObject::*const on_exit_)()=ETL_NULLPTR)

## Public Attributes

state_id_t | state_id
void(TObject::*const | on_entry )()
void(TObject::*const | on_exit )()

## Detailed Description

template<typename TObject>
struct etl::state_chart_traits::state< TObject >

State definition.

The documentation for this struct was generated from the following file:

- include/etl/state_chart.h